Bug 205834 - gd-devel: missing dependency on fontconfig-devel
Summary: gd-devel: missing dependency on fontconfig-devel
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gd (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact:
URL:
Whiteboard:
Keywords: EasyFix, Patch, Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-08 20:48 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: d-2.0.33-9.3.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-13 09:09:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ville Skyttä 2006-09-08 20:48:02 UTC
/usr/bin/gdlib-config and /usr/lib*/pkgconfig/gdlib.pc contain hardwired
references to -lfontconfig, but fontconfig-devel is not in the dependency chain.

Fix: add "Requires: fontconfig-devel" to gd-devel

Comment 1 Jitka Kozana 2006-09-12 08:16:18 UTC
According to the spec file, gd already requires fontconfig-devel. 
So closing this as notabug. 

Comment 2 Ville Skyttä 2006-09-12 17:34:27 UTC
Nope, gd just BuildRequires fontconfig-devel, at least in the version I can
access through FC CVS.  We need a *install time* (not build time) dependency on
fontconfig-devel in *gd-devel* (not gd), ie. the patch below:

diff -u -r1.35 gd.spec
--- gd.spec     19 Jul 2006 07:58:46 -0000      1.35
+++ gd.spec     12 Sep 2006 17:32:41 -0000
@@ -42,7 +42,7 @@
 Group:    Development/Libraries
 Requires: gd = %{version}-%{release}
 Requires: libX11-devel, libXpm-devel, libjpeg-devel, freetype-devel
-Requires: libpng-devel, zlib-devel
+Requires: libpng-devel, zlib-devel, fontconfig-devel

 %description devel
 The gd-devel package contains the development libraries and header


Comment 3 Jitka Kozana 2006-09-13 09:09:17 UTC
Oops. My apologies. 
Fixed in version gd-2.0.33-9.3.fc6


Note You need to log in before you can comment on or make changes to this bug.